Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Dimidrol

Непонятная ошибка при запуске установки

Recommended Posts

Здравствуйте, мне тут прифартило установить форум на одном из бесплатных хостов, вроде всё ОК, но при запуске инстала выдаёт такое:

 

Warning: main(./core/ips_kernel/class_converge.php): failed to open stream: No such file or directory in /home/ляляля/WWW/forum/install/index.php on line 26

 

Как думаете, в чом тут дело?

 

Это как-то связано с CHMOD может?

Edited by Dimidrol

Share this post


Link to post
Share on other sites

У вас есть файл class_converge.php в директории ips_kernel?

Share this post


Link to post
Share on other sites
У вас есть файл class_converge.php в директории ips_kernel?

 

ДА есть.

Share this post


Link to post
Share on other sites

а

/core/ips_kernel/class_converge.php

есть?

Share this post


Link to post
Share on other sites
а

/core/ips_kernel/class_converge.php

есть?

 

Нет, там нету, а должен быть?

 

 

Я скопировал туда этот файл из каталога ips_kernel в корне, но не помогло, всё то же самое.

Share this post


Link to post
Share on other sites
Warning: main(./core/ips_kernel/class_converge.php): failed to open stream: No such file or directory in /home/ляляля/WWW/forum/install/index.php on line 26

перевожу ошибку

Предупреждение: ./core/ips_kernel/class_converge.php невозможно открыть поток: нет такого файла или директории... остальное не важно

соответственно файла ./install/core/ips_kernel/class_converge.php у вас не существует. Потому как за ./ принимается папка установщика, т.е. install

Share this post


Link to post
Share on other sites
перевожу ошибку

 

соответственно файла ./install/core/ips_kernel/class_converge.php у вас не существует. Потому как за ./ принимается папка установщика, т.е. install

 

Я чото ваще непонял в чом фишка и что делать если честно :(

Share this post


Link to post
Share on other sites
ДА есть.

я думаю,у вас в файле установки неправильно прописан путь к файлу, 26 строка, должен быть такой

require INS_KERNEL_PATH . 'class_converge.php';

Share this post


Link to post
Share on other sites
я думаю,у вас в файле установки неправильно прописан путь к файлу, 26 строка, должен быть такой

require INS_KERNEL_PATH . 'class_converge.php';

проверил в файле install/index.php так и написано.

Share this post


Link to post
Share on other sites

наверняка если нет файла, его необходимо залить... Вроде все предельно просто

Share this post


Link to post
Share on other sites
проверил в файле install/index.php так и написано.

я добавил в файле установки перед class_converge.php - core/ и у меня вылезла точно такая же ошибка, убрал и все в порядке.

Edited by РоМ@НыЧ

Share this post


Link to post
Share on other sites
наверняка если нет файла, его необходимо залить... Вроде все предельно просто
я добавил в файле установки перед class_converge.php - core/ и у меня вылезла точно такая же ошибка, убрал и все в порядке.

 

У меня там написано:

require INS_KERNEL_PATH . 'class_converge.php';

никаких core/ нету

 

Мне так кажеться, толи чо-то с хостингом, толи все версии начиная с 2.2 с этим глюком.

Мож в каком-то другом месте у меня эта шняга прописана?

Edited by Dimidrol

Share this post


Link to post
Share on other sites
У меня там написано:

 

никаких core/ нету

 

Мне так кажеться, толи чо-то с хостингом, толи все версии начиная с 2.2 с этим глюком.

Мож в каком-то другом месте у меня эта шняга прописана?

А не пробовали поставить другую версию?

Share this post


Link to post
Share on other sites
А не пробовали поставить другую версию?

 

Вобще-то пробовал, но там тоже свои траблы.

 

Версия 2.1.7 выдаёт при установке такое:

Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 48 bytes) in ../ips_kernel/class_xml.php on line 414

 

Версия 1.3.1 говорит после введения названия базы такое:

Внимание! 

Перед продолжением, необходимо устранить следующие ошибки!

Вернитесь назад и повторите попытку! 

 

Невозможно определить местонахождение '/conf_global.php'. Возможно Вам потребуется ввести полный путь к этому скрипту установки форума. Для этого, откройте данный файл установки в любом текстовом редакторе и введите полный путь в переменной $root - не забудьте при этом добавить конечный слэш (обратную косую черту). Пользователям NT, необходимо ввести двойной слэш.

 

Мне бы уже хоть какую-то версию поставить  :(

Edited by Dimidrol

Share this post


Link to post
Share on other sites

1. хостинг тупой это факт

2. наверно не заливаете файлы до конца все

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...